Subject: concierge order E.L.F. issue
From: gelna <[email-masked]>
To: subir <[email-masked]>
Date: Sat, 9 May 2015 06:58:06 +0530 (IST)

Suite number 0873-8353     Concierge order#s 117373, 117365,  and 117361 

Hi Subir sir,

I added the items to cart but when I was about to check out, the page just load and I am not redirected to see the items in the cart but to E.L.F. Philippines website and page is blank. Please see the attached screenshot to understand clearly. Please note that I am using the Firefox browser :- Dayton IP address . 

Pls have Sanjay to try to place the order from your end.

Regards,
Gelna